Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TextEntityType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TextEntityType

Direct Known Subclasses:
  `TdApi.TextEntityTypeBankCardNumber`, `TdApi.TextEntityTypeBold`, `TdApi.TextEntityTypeBotCommand`, `TdApi.TextEntityTypeCashtag`, `TdApi.TextEntityTypeCode`, `TdApi.TextEntityTypeEmailAddress`, `TdApi.TextEntityTypeHashtag`, `TdApi.TextEntityTypeItalic`, `TdApi.TextEntityTypeMediaTimestamp`, `TdApi.TextEntityTypeMention`, `TdApi.TextEntityTypeMentionName`, `TdApi.TextEntityTypePhoneNumber`, `TdApi.TextEntityTypePre`, `TdApi.TextEntityTypePreCode`, `TdApi.TextEntityTypeStrikethrough`, `TdApi.TextEntityTypeTextUrl`, `TdApi.TextEntityTypeUnderline`, `TdApi.TextEntityTypeUrl`

Enclosing class:
  TdApi

public abstract static class TdApi.TextEntityType extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`TextEntityType()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TextEntityType

public TextEntityType()